TestSuite Class Reference

`#include <TestSuite.h>`

Inheritance diagram for TestSuite:

## Public Types

enum | TESTRESULT { NOTINSTALLED , KNOWNEXCEPTION , UNKNOWNEXCEPTION }

## Public Member Functions

| TestSuite (void)
void | addUnitTest (UnitTest *ut)
void | run (void)
bool | getResult (void)
void | startUnit (std::string n)
void | endUnit (std::string n)
void | startCategory (std::string n)
void | endCategory (std::string n)
void | addTestResult (bool r)
void | addTestResult (TESTRESULT r)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

std::vector< UnitTest * > | UnitTests
std::string | runningUnit
std::string | runningCategory
bool | runningCategoryOk
bool | SuiteOk
unsigned short | TestNumber
std::ostream * | OutStream

## Member Enumeration Documentation

## TESTRESULT

enum TestSuite::TESTRESULT

Enumerator
NOTINSTALLED |
KNOWNEXCEPTION |
UNKNOWNEXCEPTION |

## Constructor & Destructor Documentation

## TestSuite()

TestSuite::TestSuite | ( | void |  | ) |

## Member Function Documentation

## addTestResult() [1/2]

void TestSuite::addTestResult | ( | bool | r | ) |

## addTestResult() [2/2]

void TestSuite::addTestResult | ( | TestSuite::TESTRESULT | r | ) |

## addUnitTest()

void TestSuite::addUnitTest | ( | UnitTest * | ut | ) |

## endCategory()

void TestSuite::endCategory | ( | std::string | n | ) |

## endUnit()

void TestSuite::endUnit | ( | std::string | n | ) |

## getResult()

bool TestSuite::getResult | ( | void |  | ) |

inline

Returns
  true iff all tests were ok

## run()

void TestSuite::run | ( | void |  | ) |

virtual

Implements Test.

## startCategory()

void TestSuite::startCategory | ( | std::string | n | ) |

## startUnit()

void TestSuite::startUnit | ( | std::string | n | ) |

## Member Data Documentation

## OutStream

std::ostream* TestSuite::OutStream

private

## runningCategory

std::string TestSuite::runningCategory

private

## runningCategoryOk

bool TestSuite::runningCategoryOk

private

## runningUnit

std::string TestSuite::runningUnit

private

## SuiteOk

bool TestSuite::SuiteOk

private

## TestNumber

unsigned short TestSuite::TestNumber

private

## UnitTests

std::vector<UnitTest*> TestSuite::UnitTests

private

The documentation for this class was generated from the following files:

- TestSuite.h
- TestSuite.cc